# Created by pyp2rpm-3.3.2
%global pypi_name pycha

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %mkrel 4
Summary:        A library for making charts with Python
Group:          Development/Python
License:        LGPL 3
URL:            http://bitbucket.org/lgs/pycha/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        chavier.desktop
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  desktop-file-utils
BuildRequires:  python3-pytools

%description
.. contents::Pycha is a very simple Python package for drawing charts using the
great Cairo < library. Its goals are:* Lightweight * Simple to use * Nice
looking with default values * CustomizationIt won't try to draw any possible
chart on earth but draw the most common ones nicely. There are some other
options you may want to look at like pyCairoChart < is based on Plotr < which
is based on...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
.. contents::Pycha is a very simple Python package for drawing charts using the
great Cairo < library. Its goals are:* Lightweight * Simple to use * Nice
looking with default values * CustomizationIt won't try to draw any possible
chart on earth but draw the most common ones nicely. There are some other
options you may want to look at like pyCairoChart < is based on Plotr < which
is based on...

%package -n     chavier
Summary:        GUI application for exploring the pycha library
Group:          Development/Tools
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n chavier
Chavier allows the user to generate random data sets or use existing data to
test the various options that %{shortname} provides in an interactive GUI
application. Various chart types can be plotted and their options adjusted
from the interface.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
2to3 --no-diffs -w chavier pycha
%py3_build

%install
%py3_install

desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%check
#{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/chavier
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n chavier
%{_bindir}/chavier
%{_datadir}/applications/chavier.desktop
%{python3_sitelib}/chavier


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-4.mga8
+ Revision: 1534016
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.7.0-3.mga8
+ Revision: 1446941
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.7.0-2.mga7
+ Revision: 1353852
- Rebuild for python3 3.7

* Fri Nov 30 2018 joequant <joequant> 0.7.0-1.mga7
+ Revision: 1336846
- fix rejected
- remove check
- fix spec
- fix spec
- imported package python-pycha

